Installation Of Microsoft Sql Server Native Client Failed Because A Higher Version

  



  1. Sql Server Native Client 10.0
  2. Sql Server Native Client 11.0 Odbc Driver
  3. Microsoft Sql Server 2012 Native Client
ClientClient

ERROR MicrosoftSQL Server Native Client 11.0SQL ServerCREATE ASSEMBLY for assembly 'System.IdentityModel' failed because assembly 'System.IdentityModel' failed verification. Check if the referenced assemblies are up-to-date and trusted.

Jan 30, 2010 I get an error installing ArcGIS Desktop 9.4 beta 2. Installing Microsoft SQL Server 2008 Native Client error: An error occurred during the installation. First of all let’s start by checking the actual SQL server native client. In my case, it is SQL server 2012 native client and the installed version is 11.2.5643.3. The warning appears because the version of client is lower and you need to upgrade this client version. Before you proceed further you need to know the SQL native client version.

Sql server native client 10.0

Sql Server Native Client 10.0

PlateSpin Server hosts must meet the system requirements in Table 1-1. See also General Guidelines for Server Installation.

Sql Server Native Client 11.0 Odbc Driver

Table 1-1 Host Requirements for PlateSpin Server

Microsoft Sql Server 2012 Native Client

Requirement

Details

Dedicated host

Physical or virtual server

Operating System

Any of the following Windows Server versions:

NOTE:You must activate the Microsoft license for your Windows operating system prior to installing PlateSpin Migrate.

Processor

Recommended (physical): multi-core, 2 GHz or higher

Recommended (VM): 2 or more Virtual CPUs

Memory

Recommended: 8 GB RAM

Disk Space

Minimum 50 GB

Additional space might be necessary if you plan to use the same system as a PlateSpin Image Server. The amount of additional space depends on the number and size of workload images that you intend to store on a given image server. See Designating a PlateSpin Image Server in the PlateSpin Migrate 12.3 User Guide.

Database Server

A dedicated Microsoft SQL Server database instance, running on one of the following:

  • Microsoft SQL Server 2017 Express Edition

    A copy of this database software is included in your PlateSpin Migrate software distribution.

    NOTE:For upgrades of PlateSpin Migrate Server, your existing installation of Microsoft SQL Server 2014 Express is supported. The SQL Server Express software is not updated as part of the upgrade.

  • Microsoft SQL Server 2016

  • Microsoft SQL Server 2014

  • Microsoft SQL Server 2008 R2

For remote database instances, the following additional requirements must be met:

  • Migrate Server: Install Microsoft SQL Server Native Client on the host server before you install PlateSpin Migrate. See Section 1.2.2, Installing SQL Server Native Client on the Host Server.

  • External SQL Server: If TLS 1.0 is disabled on the PlateSpin Migrate Server host, then the remote database and the host on which the database resides must support TLS 1.2. See TLS 1.2 Support for Microsoft SQL Server in Microsoft Documentation.

While multiple PlateSpin Migrate Servers can use the same remote database server, each Migrate Server requires a separate dedicated database instance.

NOTE:Prior to installing the product, ensure that your existing SQL Server database server and named database instance meet the Database guidelines.

Prerequisite Software

NOTE:You can install prerequisite software manually or use the PowerShell script provided on the PlateSpin Migrate Download site. See Installing Prerequisite Software.

  • To perform a batch-file installation of PlateSpin Migrate, you must install Visual C++ 2013 on the host server. See Installing Visual C++ 2013 for Batch-File Installation of PlateSpin Migrate.

  • To use a remote database instance with PlateSpin Migrate, you must install Microsoft SQL Server Native Client on the host server.

  • All Windows hosts (recommended)

    • Ensure that a licensed version of the OS is installed and the license has been activated.

    • Apply the latest applicable OS updates (service packs, cumulative security updates, drivers, and so on).

  • For Windows Server 2016 systems:

    • Disable User Account Control (UAC).

    • Install Microsoft .NET Framework 4.7.1. You can download .NET software from Microsoft:

    • Install Microsoft IIS 10.0

    For more details, see Installing Prerequisite Software on Windows Server 2016 Systems.

  • For Windows Server 2012 R2 systems:

    • Disable User Account Control (UAC).

    • Install Microsoft .NET Framework 4.7.1. You can download .NET software from Microsoft:

    • Install Microsoft IIS 8.0

    For more details, see Installing Prerequisite Software on Windows Server 2012 R2 Systems.

TLS Protocol

PlateSpin Migrate server uses Transport Layer Security (TLS) 1.0, 1.1, or 1.2 protocols for connections, depending on the protocols supported by and enabled on its host OS. Installation and upgrade do not modify the existing host OS settings for the TLS protocol.

The TLS settings on the Migrate Server host OS must allow connections appropriate for the source workloads. See Section 1.8, Configuring TLS Protocols for Migrate Hosts.

The TLS settings on each source workload OS must allow connections appropriate for TLS protocols you enable for the Migrate server host OS. Some older OSes do not support TLS 1.2. Enabling connections using TLS 1.2 protocol on a source workload might require that you install OS patches and Microsoft .NET Framework on the workload and modify its OS registry settings. See Configuring Source Workloads to Connect Using TLS 1.2 in the PlateSpin Migrate 12.3 User Guide.